* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial, Helvetica, sans-serif;
}

body {
  background: rgb(0,52,90);
  /* background: linear-gradient(35deg, rgba(0,52,90,1) 0%, rgb(0, 69, 122) 100%); */
}

.hidden {
  display: none;
}

.wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  max-width: max-content;
  margin: 30px auto;
  background-color: #fff;
  border-radius: 20px;
  padding: 30px;
}

.wrapper-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  gap: 20px;
  margin-bottom: 30px;
}

.wrapper-header img{
  height: 70px;
}

h1 {
  font-size: 24px;
  color: rgb(0,52,90);
}

h2{
  text-align: center;
  margin-bottom: 20px;
}

#currencyForm {
  /* margin-bottom: 20px; */
  display: flex;
  flex-direction: column;
  gap: 10px;
  align-items: center;
}

#currencyForm #date{
  cursor: pointer;
}

#currencyForm button, #saveButton{
  background-color: rgb(0, 78, 134) ;
  color: #fff;
  font-weight: bold;
  padding:  10px 15px;
  border: none;
  border-radius: 5px;
  cursor: pointer;
}

#selectedRatesHeader {
  display: none;
}

#resultTable {
  display: none;
  flex-direction: column;
  align-items: center;
  gap: 30px;
}

.table-container {
  max-height: 211px;
  overflow-y: auto;
  margin-bottom: 30px;
}

table {
  width: 100%;
  border-collapse: collapse;
}

th, td {
  padding: 8px;
  border: 1px solid #ddd;
  text-align: left;
}

.table-container th:nth-child(2), .table-container td:nth-child(2) {
  border-right: 0;
}

.table-container th:nth-child(3), .table-container td:nth-child(3) {
  border-left: 0;
}

#loadingMessage {
  display: flex;
  align-items: stretch;
  gap: 10px;
  font-size: 18px;
}

#loadingMessage img{
  width: 18px;
  height: 18px;
}
